Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigsaw.http
Class ExtendedCommonLogger

    java.lang.Object
      |
      +--org.w3c.jigsaw.http.Logger
            |
            +--org.w3c.jigsaw.http.CommonLogger
                  |
                  +--org.w3c.jigsaw.http.ExtendedCommonLogger

public class ExtendedCommonLogger
extends CommonLogger

The ExtendedCommonLogger class implements the abstract Logger class. It just rotates the log every month and use the extended log format

See Also:
  `CommonLogger`

Field Summary
`static java.lang.String` | `BUFSIZE_P` Name of the property indicating the buffer size for the logger.
`static java.lang.String` | `ERRLOGNAME_P` Name of the property indicating the error log file.
`static java.lang.String` | `LOGNAME_P` Name of the property indicating the log file.
`static java.lang.String` | `TRACELOGNAME_P` Name of the property indicating the server trace file.

Fields inherited from class org.w3c.jigsaw.http.CommonLogger
`buffer, bufptr, bufsize, BUFSIZE_P, errlog, ERRLOGNAME_P, log, LOGDIRNAME_P, LOGNAME_P, props, server, trace, TRACELOGNAME_P`

Method Summary
`void` | `log(Request request, Reply reply, int nbytes, long duration)` Log the given HTTP transaction.
`protected void` | `openLogFile()`
`protected void` | `openLogFile(int year, int month)`

Methods inherited from class org.w3c.jigsaw.http.CommonLogger
`appendLogBuffer, errlog, errlog, errlogmsg, getFilename, initialize, log, logmsg, openErrorLogFile, openTraceFile, output, propertyChanged, shutdown, sync, trace, trace, tracemsg`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOGNAME_P

    public static final java.lang.String LOGNAME_P

  Name of the property indicating the log file. This property indicates the name of the log file to use.

  This property defaults to the `log` file in the server log directory.

### ERRLOGNAME_P

    public static final java.lang.String ERRLOGNAME_P

  Name of the property indicating the error log file. This property indicates the name of the error log file to use.

  This property defaults to the `errlog` file in the server log directory.

### TRACELOGNAME_P

    public static final java.lang.String TRACELOGNAME_P

  Name of the property indicating the server trace file. This property indicates the name of the trace file to use.

  This property defaults to the `trace` file in the server log directory.

### BUFSIZE_P

    public static final java.lang.String BUFSIZE_P

  Name of the property indicating the buffer size for the logger. This buffer size applies only the the log file, not to the error log file, or the trace log file. It can be set to zero if you want no buffering.

  This property default to 4096.

Method Detail

### openLogFile

    protected void openLogFile()

  Overrides:
    openLogFile in class CommonLogger

### openLogFile

    protected void openLogFile(int year,
                               int month)

### log

    public void log(Request request,
                    Reply reply,
                    int nbytes,
                    long duration)

  Log the given HTTP transaction. This is shamelessly slow.
  Overrides:
    log in class CommonLogger

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD